List all CRM notes
GET
/v1/crm/notesAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredQuery parameters
statusstringResponses
200OK
itemsCRMNote[] | nullrequiredShow propertiesHide properties
Array of
CRMNotebodystringrequiredbody_richCRMRichTextShow propertiesHide properties
jsonanyrequiredplain_textstringrequiredtypestringrequiredcreated_atstringrequiredcreated_bystringidstringrequiredobject_idstringobject_kindstringtargetsCRMActivityTarget[] | nullrequiredShow propertiesHide properties
Array of
CRMActivityTargetcreated_atstringrequiredcreated_bystringidstringrequiredobject_idstringrequiredobject_kindstringrequiredupdated_atstringrequiredtitlestringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/crm/notes"const response = await fetch("/v1/crm/notes", {
method: "GET"
});import requests
response = requests.get(
"/v1/crm/notes",
)Response
{
"items": [
{
"body": "string",
"body_rich": {
"json": "string",
"plain_text": "string",
"type": "string"
},
"created_at": "string",
"created_by": "string",
"id": "string",
"object_id": "string",
"object_kind": "string",
"targets": [
{
"created_at": "string",
"created_by": "string",
"id": "string",
"object_id": "string",
"object_kind": "string",
"updated_at": "string"
}
],
"title": "string",
"updated_at": "string"
}
]
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}